TabGeckoDocs
Zur Website
Dokumentation / Tokens · API

Tokens · API

Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.

GET /api/v1/tokens

API-Tokens auflisten (ohne Klartext)

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "items"
          ],
          "properties": {
            "items": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "kind",
                  "token_hint",
                  "scopes",
                  "created_at",
                  "last_used_at",
                  "expires_at",
                  "revoked_at"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "kind": {
                    "type": "string"
                  },
                  "token_hint": {
                    "type": "string"
                  },
                  "scopes": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "created_at": {
                    "type": "integer"
                  },
                  "last_used_at": {
                    "type": [
                      "null",
                      "integer"
                    ]
                  },
                  "expires_at": {
                    "type": [
                      "null",
                      "integer"
                    ]
                  },
                  "revoked_at": {
                    "type": [
                      "null",
                      "integer"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "API-Tokens auflisten (ohne Klartext)",
  "tags": [
    "Tokens"
  ],
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "items"
            ],
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "id",
                    "name",
                    "kind",
                    "token_hint",
                    "scopes",
                    "created_at",
                    "last_used_at",
                    "expires_at",
                    "revoked_at"
                  ],
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "kind": {
                      "type": "string"
                    },
                    "token_hint": {
                      "type": "string"
                    },
                    "scopes": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "created_at": {
                      "type": "integer"
                    },
                    "last_used_at": {
                      "type": [
                        "null",
                        "integer"
                      ]
                    },
                    "expires_at": {
                      "type": [
                        "null",
                        "integer"
                      ]
                    },
                    "revoked_at": {
                      "type": [
                        "null",
                        "integer"
                      ]
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/tokens

API-Token erzeugen; der Klartext wird nur in dieser Antwort geliefert

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "name"
        ],
        "properties": {
          "name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 100
          },
          "kind": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "native"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "mcp"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "compat"
                ]
              }
            ]
          },
          "scope_set": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "full"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "scripts"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "mcp"
                ]
              }
            ]
          },
          "scopes": {
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "profiles:read"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "profiles:write"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "profiles:delete"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "runtime:control"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "proxies:read"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "proxies:write"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "secrets:read"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "secrets:totp"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "cookies:read"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "cookies:write"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "extensions:write"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "kernels:manage"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "trash:manage"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "rpa:run"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "rpa:write"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "sync:control"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "settings:write"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "audit:read"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "admin"
                  ]
                }
              ]
            },
            "minItems": 1,
            "uniqueItems": true
          },
          "expires_at": {
            "type": [
              "integer",
              "null"
            ],
            "minimum": 0
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "201": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "token",
            "info"
          ],
          "properties": {
            "token": {
              "type": "string"
            },
            "info": {
              "type": "object",
              "required": [
                "id",
                "name",
                "kind",
                "token_hint",
                "scopes",
                "created_at",
                "last_used_at",
                "expires_at",
                "revoked_at"
              ],
              "properties": {
                "id": {
                  "type": "string"
                },
                "name": {
                  "type": "string"
                },
                "kind": {
                  "type": "string"
                },
                "token_hint": {
                  "type": "string"
                },
                "scopes": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                },
                "created_at": {
                  "type": "integer"
                },
                "last_used_at": {
                  "type": [
                    "null",
                    "integer"
                  ]
                },
                "expires_at": {
                  "type": [
                    "null",
                    "integer"
                  ]
                },
                "revoked_at": {
                  "type": [
                    "null",
                    "integer"
                  ]
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "API-Token erzeugen; der Klartext wird nur in dieser Antwort geliefert",
  "tags": [
    "Tokens"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "name"
          ],
          "properties": {
            "name": {
              "type": "string",
              "minLength": 1,
              "maxLength": 100
            },
            "kind": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "native"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "mcp"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "compat"
                  ]
                }
              ]
            },
            "scope_set": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "full"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "scripts"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "mcp"
                  ]
                }
              ]
            },
            "scopes": {
              "type": "array",
              "items": {
                "anyOf": [
                  {
                    "type": "string",
                    "enum": [
                      "profiles:read"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "profiles:write"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "profiles:delete"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "runtime:control"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "proxies:read"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "proxies:write"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "secrets:read"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "secrets:totp"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "cookies:read"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "cookies:write"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "extensions:write"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "kernels:manage"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "trash:manage"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "rpa:run"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "rpa:write"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "sync:control"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "settings:write"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "audit:read"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "admin"
                    ]
                  }
                ]
              },
              "minItems": 1,
              "uniqueItems": true
            },
            "expires_at": {
              "type": [
                "integer",
                "null"
              ],
              "minimum": 0
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "201": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "token",
              "info"
            ],
            "properties": {
              "token": {
                "type": "string"
              },
              "info": {
                "type": "object",
                "required": [
                  "id",
                  "name",
                  "kind",
                  "token_hint",
                  "scopes",
                  "created_at",
                  "last_used_at",
                  "expires_at",
                  "revoked_at"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "kind": {
                    "type": "string"
                  },
                  "token_hint": {
                    "type": "string"
                  },
                  "scopes": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "created_at": {
                    "type": "integer"
                  },
                  "last_used_at": {
                    "type": [
                      "null",
                      "integer"
                    ]
                  },
                  "expires_at": {
                    "type": [
                      "null",
                      "integer"
                    ]
                  },
                  "revoked_at": {
                    "type": [
                      "null",
                      "integer"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

DELETE /api/v1/tokens/{id}

API-Token widerrufen

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: admin

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

NameOrtPflichtBeschreibung
idpathJa
Vollständige Parameterschemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "id",
            "name",
            "kind",
            "token_hint",
            "scopes",
            "created_at",
            "last_used_at",
            "expires_at",
            "revoked_at"
          ],
          "properties": {
            "id": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "kind": {
              "type": "string"
            },
            "token_hint": {
              "type": "string"
            },
            "scopes": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "created_at": {
              "type": "integer"
            },
            "last_used_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "expires_at": {
              "type": [
                "null",
                "integer"
              ]
            },
            "revoked_at": {
              "type": [
                "null",
                "integer"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "API-Token widerrufen",
  "tags": [
    "Tokens"
  ],
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "admin"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "id",
              "name",
              "kind",
              "token_hint",
              "scopes",
              "created_at",
              "last_used_at",
              "expires_at",
              "revoked_at"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "kind": {
                "type": "string"
              },
              "token_hint": {
                "type": "string"
              },
              "scopes": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "created_at": {
                "type": "integer"
              },
              "last_used_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "expires_at": {
                "type": [
                  "null",
                  "integer"
                ]
              },
              "revoked_at": {
                "type": [
                  "null",
                  "integer"
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

Native API-Referenz